

rmk added a check to vmlinux for undefined symbols in -mm kernels.  ppc64
fails due to trying to export an unimplemented symbol from assembly code.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-power4-akpm/arch/ppc64/kernel/head.S |    1 -
 1 files changed, 1 deletion(-)

diff -puN arch/ppc64/kernel/head.S~ppc64-remove-MachineCheck_Pseries arch/ppc64/kernel/head.S
--- 25-power4/arch/ppc64/kernel/head.S~ppc64-remove-MachineCheck_Pseries	2004-07-04 23:44:44.328754632 -0700
+++ 25-power4-akpm/arch/ppc64/kernel/head.S	2004-07-04 23:45:24.922583432 -0700
@@ -407,7 +407,6 @@ __start_interrupts:
 	STD_EXCEPTION_PSERIES(0x100, SystemReset)
 
 	. = 0x200
-	.globl MachineCheck_Pseries
 _MachineCheckPseries:
 	mtspr	SPRG1,r13		/* save r13 */
 	EXCEPTION_PROLOG_PSERIES(PACA_EXMC, MachineCheck_common)
_
